# Class webdriver.WebDriver.Navigation

code »

Interface for navigating back and forth in the browser history.

## Constructor

webdriver.WebDriver.Navigation ( driver )

Parameters
driver: `!webdriver.WebDriver` The parent driver.

Show:Public Protected Private

## Instance Methods

code »back ( ) ⇒ `!webdriver.promise.Promise`

Schedules a command to move backwards in the browser history.

Returns
A promise that will be resolved when the navigation event has completed.

code »forward ( ) ⇒ `!webdriver.promise.Promise`

Schedules a command to move forwards in the browser history.

Returns
A promise that will be resolved when the navigation event has completed.

code »refresh ( ) ⇒ `!webdriver.promise.Promise`

Schedules a command to refresh the current page.

Returns
A promise that will be resolved when the navigation event has completed.

code »to ( url ) ⇒ `!webdriver.promise.Promise`

Schedules a command to navigate to a new URL.

Parameters
url: `string` The URL to navigate to.
Returns
A promise that will be resolved when the URL has been loaded.

## Instance Properties

code »driver_ : `!webdriver.WebDriver`